namespace MyOffice.Data.Repositories.Currency;

using Models.Currencies;

public interface ICurrencyRepository
{
	List<Currency> GetAll(Guid userId);
	Currency? Get(Guid userId, Guid id);
	Currency? GetByGlobalCurrency(Guid userId, string globalCurrencyId);
	bool Add(Currency currency);
	bool Update(Currency currency);
	bool Remove(Currency currency);
	List<Currency> GetPrimaries(Guid userId);
}